%define name	gpodder
%define version	0.8.0
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	A graphical podcast catcher
Version: 	%{version}
Release: 	%{release}

Source:		http://perli.net/projekte/gpodder/releases/%{version}/%{name}-%{version}.tar.bz2
URL:		http://www.perli.net/projekte/gpodder/
License:	GPL
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:  python-devel
Requires:	pygtk2.0 pygtk2.0-libglade
BuildArch:	noarch

%description
gPodder is a Podcast reciever/catcher written in Python, using GTK. It manages
podcast feeds for you and automatically downloads all podcasts from as many
feeds as you like.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%buildroot
%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="gPodder" longtitle="Podcast catcher" section="Internet/News" xdg="true"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 data/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 data/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 data/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog PKG-INFO README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_libdir}/python*/site-packages/%name
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 0.8.0-1mdv2007.0
- New release 0.8.0

* Mon Apr 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Add BuildRequires
- use mkrel

* Sun Apr 09 2006 Austin Acton <austin@mandriva.org> 0.7-1mdk
- New release 0.7

* Thu Mar 30 2006 Austin Acton <austin@mandriva.org> 0.6-1mdk
- New release 0.6

* Sat Feb 11 2006 Austin Acton <austin@mandriva.org> 0.5-1mdk
- New release 0.5

* Thu Sep 08 2005 Austin Acton <austin@mandriva.org> 0.4-1mdk
- New release 0.4

* Sat Sep 3 2005 Austin Acton <austin@mandriva.org> 0.3-1mdk
- initial package
